package net.tomatentum.cutin.factory;

import java.util.Set;

import net.tomatentum.cutin.MethodParser;

public abstract class ImmutableMethodFactory<I extends Object, C extends Object> implements ReflectedMethodFactory.Factory<I, C> {

    protected Set<MethodParser> parser;

    protected ImmutableMethodFactory(MethodParser... parser) {
        this.parser = Set.of(parser);
    }

    @Override
    public Set<MethodParser> parser() {
        return this.parser;
    }
    
}
