package net.tomatentum.cutin.factory;

import net.tomatentum.cutin.MethodParser;

public abstract class MutableMethodFactory<I extends Object, C extends Object> extends ImmutableMethodFactory<I, C> {

    public MutableMethodFactory<I, C> addParser(MethodParser parser) {
        super.parser.add(parser);
        return this;
    }

    public MutableMethodFactory<I, C> removeParser(MethodParser parser) {
        super.parser.remove(parser);
        return this;
    }
    
}
